#include <iostream>
#include<cmath>
using namespace std;

int main()
{
    long long a,b,novibroj=0;
    int i=0,j=0,cif,d=0,cif1;
    cin>>a>>b;
    long long maks=(a>b) ? a:b;
    long long min=(a<b) ? a:b;
    while(min>0)
    {
        cif=min%10;
        cif1=maks%10;
        if(cif>cif1)
        {
            novibroj=novibroj+cif*pow(10,d);
            d++;
        }
        if(cif1>cif)
        {
            novibroj=novibroj+cif1*pow(10,d);
            d++;
        }
        if(cif1==cif)
        {
            novibroj=novibroj+cif1*pow(10,d);
            d++;
            novibroj=novibroj+cif*pow(10,d);
            d++;
        }
        min=min/10;
        maks=maks/10;
        
    }
    while(maks>0)
    {
        cif=maks%10;
        novibroj=novibroj+cif*pow(10,d);
        d++;
        maks=maks/10;
    }
    cout<<novibroj;
    return 0;
}